Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display
Interface DisplayFactory

    public interface DisplayFactory

`DisplayFactory` defines a common abstraction for creating the different kinds of display objects.

Method Summary
`Canvas` | `createCanvas(Properties canvasProperties)` Creates a new `Canvas` object that is returned embedded in a window, as determined by the GO-1 implementation.
`Canvas` | `createCanvas(Properties canvasProperties, Container container)` Creates a new `Canvas` object that is embedded in the given `Container`.
`Graphic` | `createGraphic(Class implementsGraphic)` Creates a new `Graphic`.
`GraphicStyle` | `createGraphicStyle(Class implementsGraphicStyle)` Creates a new `GraphicStyle`.
`Canvas` | `getCanvas(String uid)` Gets an existing `Canvas` object by UID, or null if no `Canvas` exists for the given UID.
`DisplayCapabilities` | `getCapabilities()` Returns an object that represents the capabilities of this Display factory and its associated canvas.

Method Detail

### createGraphic

    Graphic createGraphic(Class implementsGraphic)

  Creates a new `Graphic`.

  Parameters:
    `implementsGraphic` - The `Class` of a Graphic primitive interface (such as `GraphicArc.class`). Throws an `IllegalArgumentException` if the `implementsGraphic` does not match any Graphic primitive interface that this factory supports.
  Returns:
    the newly created `Graphic`.

### createGraphicStyle

    GraphicStyle createGraphicStyle(Class implementsGraphicStyle)

  Creates a new `GraphicStyle`. Implementations of DisplayFactory are expected to support all four subclasses of GraphicStyle.

  Parameters:
    `implementsGraphicStyle` - The `Class` of a GraphicStyle interface (such as `TextSymbolizer.class`). Throws an `IllegalArgumentException` if the `implementsGraphicStyle` does not match any GraphicStyle interface.
  Returns:
    the newly created `GraphicStyle`.

### getCapabilities

    DisplayCapabilities getCapabilities()

  Returns an object that represents the capabilities of this Display factory and its associated canvas.

### createCanvas

    Canvas createCanvas(Properties canvasProperties,
                        Container container)

  Creates a new `Canvas` object that is embedded in the given `Container`.

  If the GO-1 implementation has multiple types of `Canvas` implementations, then the `Canvas` object that best fits the given `Properties` is the object returned. The criteria for "best fit" are left up to the particular GO-1 implementation.

  The `Canvas` rendering takes up the full extent of the `Container` display space. It is assumed that the `Container` will be embedded by a user program in another user interface.

  Parameters:
    `canvasProperties` - `Properties` that can be used to determine which `Canvas` implementation to use.
    `container` - the `java.awt.Container` to place the `Canvas` in.
  Returns:
    the newly-created Canvas.

### createCanvas

    Canvas createCanvas(Properties canvasProperties)

  Creates a new `Canvas` object that is returned embedded in a window, as determined by the GO-1 implementation. For example, it could create a new top level frame window. The implementor may include all of its standard user interface components.

  If the GO-1 implementation has multiple types of `Canvas` implementations, then the `Canvas` object that best fits the given `Properties` is the object returned. The criteria for "best fit" are left up to the particular GO-1 implementation.

  Parameters:
    `canvasProperties` - `Properties` that can be used to determine which `Canvas` implementation to use.

### getCanvas

    Canvas getCanvas(String uid)

  Gets an existing `Canvas` object by UID, or null if no `Canvas` exists for the given UID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.